/*
 * JPA entity template
 *
 *
 * Takatuka - Template fuer JPA2 Entitaeten (inklusive Bean Validation)
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 * - Support für CustomData
 */
package de.ivu.elect.business.protokollierung.entity;

@javax.persistence.NamedQueries(
 {



   
 }
)
@javax.enterprise.inject.Vetoed
@javax.persistence.Entity
@javax.persistence.Table(name = "LOESCH_PROTOKOLL")
// @javax.persistence.IdClass(LoeschProtokollPK.class)
    @javax.persistence.EntityListeners(de.ivu.elect.jee.protokollierung.ProtokollEntityListener.class)
    
public
 class LoeschProtokoll
extends AbstractLoeschProtokoll
  {

  private static final long serialVersionUID = 0L;


  /**
   * default constructor
   */
  public LoeschProtokoll() {
    super();
  }

    /**
     * @param original
     *
     * @deprecated Sollte nur mit Bedacht genutzt werden, da hier auch die Beziehungen kopiert werden. Deswegen markiert
     *             als Deprecated.
     */
    @Deprecated
    public LoeschProtokoll(LoeschProtokoll original){
      original.copyEntity(this);
    }

  /**
   * PRIMARY KEY
   */
  @javax.persistence.Id
  @javax.persistence.Column(name = "loesch_protokoll_id")
    @javax.persistence.GeneratedValue(strategy = javax.persistence.GenerationType.TABLE, generator = "LoeschProtokoll")
    @javax.persistence.TableGenerator(name = "LoeschProtokoll", table = "SEQUENCES", pkColumnName = "sequence_name", pkColumnValue = "LoeschProtokoll", valueColumnName = "next_val", allocationSize = 1000, initialValue = 0)
    protected java.lang.Long id;

  @Override
  public java.lang.Long getId() {
    return id;
  }

  public void setId(java.lang.Long id) {
    this.id = id;
  }

  @javax.persistence.Transient
  private transient LoeschProtokollPK pkCache;

  @Override
  public LoeschProtokollPK getPk() {
    if (pkCache==null || pkCache.getId() != id ) {
      pkCache = new LoeschProtokollPK(getId());
    }

    return pkCache;
  }

  public static <E extends LoeschProtokoll> java.util.Map<LoeschProtokollPK, E> mappeNachPk(java.util.Collection<E> entities){
    java.util.Map<LoeschProtokollPK, E> result = new java.util.HashMap<>();

    for (E entity : entities) {
      result.put(entity.getPk(), entity);
    }

    return result;
  }

  public static <E extends LoeschProtokoll> java.util.Map<Long, E> mappeNachId(java.util.Collection<E> entities){
    java.util.Map<Long, E> result = new java.util.HashMap<>();

    for (E entity : entities) {
      result.put(entity.getId(), entity);
    }

    return result;
  }



  /**
   * Indikator, ob sich ein Attribut oder eine UNIDIREKTIONALE n:1-Beziehungen geaendert hat
   */
  @javax.persistence.Transient
  protected boolean attributeChanged = false;

  public void setAttributeChanged() {
    attributeChanged = true;
  }

  public boolean isAttributeChanged() {
    return attributeChanged;
  }

  /**
   * Hilfsvariable fuer das Aktualisieren von Beziehungen
   */
  @javax.persistence.Transient
  protected boolean updateRelationship = false;



  public void resetAttributeChanged() {
        hasChangedBenutzerkennung = false;
          hasChangedEntitaet = false;
          hasChangedMessageKey = false;
          hasChangedMessageParams = false;
          hasChangedPrimaerschluessel = false;
          hasChangedZeitpunkt = false;
  
      hasChangedWahltermin = false;
        hasChangedWahl = false;
  


    attributeChanged = false;
  }


  /**
   * ATTRIBUTE
   */

    
      @javax.persistence.Column(name = "BENUTZERKENNUNG", nullable = LoeschProtokollConstants.BENUTZERKENNUNG_NULLABLE, length=LoeschProtokollConstants.BENUTZERKENNUNG_MAX_LENGTH)
        
  protected java.lang.String benutzerkennung =  null;

  @javax.persistence.Transient
  protected boolean hasChangedBenutzerkennung = false;

  public boolean hasChangedBenutzerkennung(){
    return hasChangedBenutzerkennung;
  }
  
  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.BENUTZERKENNUNG
   */
    @Override   public  java.lang.String getBenutzerkennung() {
        return benutzerkennung;
      }

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.BENUTZERKENNUNG
   *
   * @param benutzerkennung
   */
  @Override   public void setBenutzerkennung( java.lang.String benutzerkennung) {

       resetTkCache();
                  
                          java.lang.String benutzerkennungInternal = de.ivu.elect.jee.entity.EntityUtil.trimToNullOrMaxLength(benutzerkennung, LoeschProtokollConstants.BENUTZERKENNUNG_MAX_LENGTH, getId(), getClass());
                  
       
      boolean thisAttributChanged =
      !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.benutzerkennung
      , benutzerkennungInternal);

      attributeChanged |= thisAttributChanged;

      hasChangedBenutzerkennung |= thisAttributChanged;

      if (thisAttributChanged) {
      markDirty("benutzerkennung");
      }


      

       this.benutzerkennung = benutzerkennungInternal;

         }

        
      @javax.persistence.Column(name = "ENTITAET", nullable = LoeschProtokollConstants.ENTITAET_NULLABLE, length=LoeschProtokollConstants.ENTITAET_MAX_LENGTH)
        
  protected java.lang.String entitaet =  null;

  @javax.persistence.Transient
  protected boolean hasChangedEntitaet = false;

  public boolean hasChangedEntitaet(){
    return hasChangedEntitaet;
  }
  
  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.ENTITAET
   */
    @Override   public  java.lang.String getEntitaet() {
        return entitaet;
      }

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.ENTITAET
   *
   * @param entitaet
   */
  @Override   public void setEntitaet( java.lang.String entitaet) {

       resetTkCache();
                  
                          java.lang.String entitaetInternal = de.ivu.elect.jee.entity.EntityUtil.trimToNullOrMaxLength(entitaet, LoeschProtokollConstants.ENTITAET_MAX_LENGTH, getId(), getClass());
                  
       
      boolean thisAttributChanged =
      !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.entitaet
      , entitaetInternal);

      attributeChanged |= thisAttributChanged;

      hasChangedEntitaet |= thisAttributChanged;

      if (thisAttributChanged) {
      markDirty("entitaet");
      }


      

       this.entitaet = entitaetInternal;

         }

        
      @javax.persistence.Column(name = "MESSAGE_KEY", nullable = LoeschProtokollConstants.MESSAGE_KEY_NULLABLE, length=LoeschProtokollConstants.MESSAGE_KEY_MAX_LENGTH)
        
  protected java.lang.String messageKey =  null;

  @javax.persistence.Transient
  protected boolean hasChangedMessageKey = false;

  public boolean hasChangedMessageKey(){
    return hasChangedMessageKey;
  }
  
  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.MESSAGE_KEY
   */
    @Override   public  java.lang.String getMessageKey() {
        return messageKey;
      }

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.MESSAGE_KEY
   *
   * @param messageKey
   */
  @Override   public void setMessageKey( java.lang.String messageKey) {

       resetTkCache();
                  
                          java.lang.String messageKeyInternal = de.ivu.elect.jee.entity.EntityUtil.trimToNullOrMaxLength(messageKey, LoeschProtokollConstants.MESSAGE_KEY_MAX_LENGTH, getId(), getClass());
                  
       
      boolean thisAttributChanged =
      !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.messageKey
      , messageKeyInternal);

      attributeChanged |= thisAttributChanged;

      hasChangedMessageKey |= thisAttributChanged;

      if (thisAttributChanged) {
      markDirty("messageKey");
      }


      

       this.messageKey = messageKeyInternal;

         }

        
  @javax.persistence.Column(name = "MESSAGE_PARAMS", nullable = LoeschProtokollConstants.MESSAGE_PARAMS_NULLABLE, length=LoeschProtokollConstants.MESSAGE_PARAMS_MAX_LENGTH)
        
  protected java.lang.String messageParams =  null;

  @javax.persistence.Transient
  protected boolean hasChangedMessageParams = false;

  public boolean hasChangedMessageParams(){
    return hasChangedMessageParams;
  }
  
  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.MESSAGE_PARAMS
   */
  @javax.annotation.Nullable   @Override   public  java.lang.String getMessageParams() {
        return messageParams;
      }

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.MESSAGE_PARAMS
   *
   * @param messageParams
   */
  @Override   public void setMessageParams(@javax.annotation.Nullable  java.lang.String messageParams) {

       resetTkCache();
                  
                          java.lang.String messageParamsInternal = de.ivu.elect.jee.entity.EntityUtil.trimToNullOrMaxLength(messageParams, LoeschProtokollConstants.MESSAGE_PARAMS_MAX_LENGTH, getId(), getClass());
                  
       
      boolean thisAttributChanged =
      !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.messageParams
      , messageParamsInternal);

      attributeChanged |= thisAttributChanged;

      hasChangedMessageParams |= thisAttributChanged;

      if (thisAttributChanged) {
      markDirty("messageParams");
      }


      

       this.messageParams = messageParamsInternal;

         }

        
      @javax.persistence.Column(name = "PRIMAERSCHLUESSEL", nullable = LoeschProtokollConstants.PRIMAERSCHLUESSEL_NULLABLE, precision=LoeschProtokollConstants.PRIMAERSCHLUESSEL_PRECISION, scale=LoeschProtokollConstants.PRIMAERSCHLUESSEL_SCALE)
            
  protected java.lang.Long primaerschluessel =  null;

  @javax.persistence.Transient
  protected boolean hasChangedPrimaerschluessel = false;

  public boolean hasChangedPrimaerschluessel(){
    return hasChangedPrimaerschluessel;
  }
  
  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.PRIMAERSCHLUESSEL
   */
    @Override   public  java.lang.Long getPrimaerschluessel() {
        return primaerschluessel;
      }

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.PRIMAERSCHLUESSEL
   *
   * @param primaerschluessel
   */
  @Override   public void setPrimaerschluessel( java.lang.Long primaerschluessel) {

       resetTkCache();
                  java.lang.Long primaerschluesselInternal = primaerschluessel;
       
       
      boolean thisAttributChanged =
      !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.primaerschluessel
      , primaerschluesselInternal);

      attributeChanged |= thisAttributChanged;

      hasChangedPrimaerschluessel |= thisAttributChanged;

      if (thisAttributChanged) {
      markDirty("primaerschluessel");
      }


      

       this.primaerschluessel = primaerschluesselInternal;

         }

        
      @javax.persistence.Temporal(javax.persistence.TemporalType.TIMESTAMP)
  @javax.persistence.Column(name = "ZEITPUNKT", nullable = LoeschProtokollConstants.ZEITPUNKT_NULLABLE, precision=LoeschProtokollConstants.ZEITPUNKT_PRECISION)
    
  protected java.util.Date zeitpunkt =  null;

  @javax.persistence.Transient
  protected boolean hasChangedZeitpunkt = false;

  public boolean hasChangedZeitpunkt(){
    return hasChangedZeitpunkt;
  }
  
  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.ZEITPUNKT
   */
    @Override   public  java.util.Date getZeitpunkt() {
              if (zeitpunkt == null){
            return null;
          } else {
                          return zeitpunkt;
          }
      }

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.ZEITPUNKT
   *
   * @param zeitpunkt
   */
  @Override   public void setZeitpunkt( java.util.Date zeitpunkt) {

       resetTkCache();
                  java.util.Date zeitpunktInternal = de.ivu.elect.jee.entity.EntityUtil.normalizeDateTime(zeitpunkt);
       
       
      boolean thisAttributChanged =
      !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.zeitpunkt
      , zeitpunktInternal);

      attributeChanged |= thisAttributChanged;

      hasChangedZeitpunkt |= thisAttributChanged;

      if (thisAttributChanged) {
      markDirty("zeitpunkt");
      }


      

       this.zeitpunkt = zeitpunktInternal;

         }

    
/**
 * Beziehungen N:1 unidirektional
 */
  /**
   * Beziehung (unidirektional) zu Wahltermin
   */
  @javax.persistence.ManyToOne(fetch =  javax.persistence.FetchType.LAZY , optional=false, cascade = {javax.persistence.CascadeType.PERSIST})
  @javax.persistence.JoinColumns(@javax.persistence.JoinColumn(name = "WAHLTERMIN_ID", referencedColumnName="WAHLTERMIN_ID"))
  protected de.ivu.elect.business.wahl.entity.Wahltermin wahltermin;

  /**
   * 
   */
  @Override
  public void setWahltermin( de.ivu.elect.business.wahl.entity.Wahltermin wahltermin){
    resetTkCache();
    
    boolean thisAttributChanged =
    !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.wahltermin
    , wahltermin);

    attributeChanged |= thisAttributChanged;

    hasChangedWahltermin |= thisAttributChanged;

    if (thisAttributChanged) {
    markDirty("wahltermin");
    }

    this.wahltermin = wahltermin;
      }

  /**
   * 
   */
    @Override
  public de.ivu.elect.business.wahl.entity.Wahltermin getWahltermin(){
    return this.wahltermin;
  }

  @javax.persistence.Transient
  protected boolean hasChangedWahltermin = false;

  public boolean hasChangedWahltermin(){
    return hasChangedWahltermin;
  }

  /**
   * Beziehung (unidirektional) zu Wahl
   */
  @javax.persistence.ManyToOne(fetch =  javax.persistence.FetchType.LAZY , optional=true, cascade = {javax.persistence.CascadeType.PERSIST})
  @javax.persistence.JoinColumns(@javax.persistence.JoinColumn(name = "WAHL_ID", referencedColumnName="WAHL_ID"))
  protected de.ivu.elect.business.wahl.entity.Wahl wahl;

  /**
   * 
   */
  @Override
  public void setWahl(@javax.annotation.Nullable  de.ivu.elect.business.wahl.entity.Wahl wahl){
    resetTkCache();
    
    boolean thisAttributChanged =
    !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.wahl
    , wahl);

    attributeChanged |= thisAttributChanged;

    hasChangedWahl |= thisAttributChanged;

    if (thisAttributChanged) {
    markDirty("wahl");
    }

    this.wahl = wahl;
      }

  /**
   * 
   */
  @javax.annotation.Nullable   @Override
  public de.ivu.elect.business.wahl.entity.Wahl getWahl(){
    return this.wahl;
  }

  @javax.persistence.Transient
  protected boolean hasChangedWahl = false;

  public boolean hasChangedWahl(){
    return hasChangedWahl;
  }


/**
 * Beziehungen N:1 bidirektional
 */

  /**
   * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

  /**
   * Beziehungen 1:N bidirektional
   */

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */


  /**
   * Beziehungen N:M bidirektional selbstreferenzierend
   */
  

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("LoeschProtokoll:");
    sb.append(getId());
    sb.append(" (TK: ");
    try {
      sb.append(getTk());
    } catch (Exception e) {
      sb.append(e.getMessage());
    }
    sb.append(")");
    return sb.toString();
}



  /**
   * Kopiert alle Attribute (ausser PK und Version) und UNIDIREKTIONALE n:1-Beziehungen in uebergebene Entitaet.
   *
   * @param other
   *
   * @deprecated Sollte nur mit Bedacht genutzt werden, da hier auch die Beziehungen kopiert werden. Deswegen markiert
   *             als Deprecated.
   */
  @Deprecated
  protected void copyEntity(LoeschProtokoll other){
                             other.benutzerkennung = this.benutzerkennung;
                                other.entitaet = this.entitaet;
                                other.messageKey = this.messageKey;
                                other.messageParams = this.messageParams;
                                other.primaerschluessel = this.primaerschluessel;
                                other.zeitpunkt = this.zeitpunkt;
           
  other.setWahltermin(this.getWahltermin());
  other.setWahl(this.getWahl());


  }



    @Override
    public void copyEntityAttributesToOtherEntity(de.ivu.elect.jee.entity.Entity other) {
      if (other==null){
        return;
      }
      if (other.isInstanceOf(LoeschProtokoll.class)){
        copyEntityAttributesUsingSetter((LoeschProtokoll) other.castTo(LoeschProtokoll.class).getEntity());
      } else {
        throw new IllegalArgumentException("Keine Instanz von LoeschProtokoll: " + other);
      }
    }

  /**
  * Kopiert alle Attribute (ausser PK und Version)  in uebergebene Entitaet.
  *
  */
  public void copyEntityAttributesUsingSetter(LoeschProtokoll other){
               other.setBenutzerkennung(this.benutzerkennung);
                  other.setEntitaet(this.entitaet);
                  other.setMessageKey(this.messageKey);
                  other.setMessageParams(this.messageParams);
                  other.setPrimaerschluessel(this.primaerschluessel);
                  other.setZeitpunkt(this.zeitpunkt);
       
  }


  /**
   * Kopiert alle veränderten Attribute (ausser PK, CustomData, wenn vorhanden und Version) in uebergebene Entitaet.
   *
   */
  public void copyChangedEntityAttributesUsingSetter(LoeschProtokoll other){
                       if (hasChangedBenutzerkennung) {
        other.setBenutzerkennung(this.benutzerkennung);
      }
                             if (hasChangedEntitaet) {
        other.setEntitaet(this.entitaet);
      }
                             if (hasChangedMessageKey) {
        other.setMessageKey(this.messageKey);
      }
                             if (hasChangedMessageParams) {
        other.setMessageParams(this.messageParams);
      }
                             if (hasChangedPrimaerschluessel) {
        other.setPrimaerschluessel(this.primaerschluessel);
      }
                             if (hasChangedZeitpunkt) {
        other.setZeitpunkt(this.zeitpunkt);
      }
             }





    @javax.persistence.Transient
    private transient LoeschProtokollTK tkCache;

    protected void resetTkCache() {
        tkCache = null;
    }

    public LoeschProtokollTK getLoeschProtokollTK(){
    if (tkCache==null) {
    tkCache = new LoeschProtokollTK(



  );}
  return tkCache;
}
    @Override
    public de.ivu.elect.jee.entity.tk.EntityTK getTk() {
       return getLoeschProtokollTK();
    }

  @Override
  public LoeschProtokollUK getUk(){
    return getLoeschProtokollUK();
  }

  @Override
  public Class< ? > getEntityClass() {
    return LoeschProtokoll.class;
  }

public LoeschProtokollUK getLoeschProtokollUK(){

   return  new LoeschProtokollUK(



  );
}

  @javax.persistence.Transient
  private transient LoeschProtokollProperties properties;

  public LoeschProtokollProperties getProperties(){
    if (properties == null) {
      properties = new LoeschProtokollProperties(this);
    }
    return properties;
  }

  /**
   * @deprecated getProperties() verwenden.
   */
  @Deprecated
  public LoeschProtokollProperties getLoeschProtokollProperties(){
    return getProperties();
  }

  @Override
  public String getEntityTechnicalName() {
    return LoeschProtokollConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public boolean isAenderungenProtokollieren(){
    
    return false;
  }


    @Override
   public void setProtokollierteAttributeMitWerten(java.util.Map<String, de.ivu.elect.jee.protokollierung.AttributWertVorher> werteVorher) {
                                                         }

  @Override
  public java.util.Map<String, de.ivu.elect.jee.protokollierung.VorherNachherWert> getProtokollierteAttributeMitWerten() {
    java.util.Map<String,de.ivu.elect.jee.protokollierung.VorherNachherWert> result;
        result = createEmptyProtokollierteAttributeMitWertenMap();
                                                                                                                                    return result;
  }

  @Override
  public void resetProtokollierteAttribute() {
                                                                                                               }

  @Override
  public  java.util.List<de.ivu.elect.jee.entity.EntityFachlichAbhaengigNode> getFachlichAbhaengigeEntitaeten(){
            java.util.List<de.ivu.elect.jee.entity.EntityFachlichAbhaengigNode> result = new java.util.ArrayList<>();
                            return result;
  }

        
            protected String getInitialDiscriminator() {
              return "LOESCH_PROTOKOLL";
            }

            @Override
            public boolean isInstanceOf(Class<?> clazz) {
            return clazz.isInstance(this);
            }


            @Override
            public <E> de.ivu.elect.jee.entity.EntityContainer<E> castTo(Class<E> clazz) {
                return new de.ivu.elect.jee.entity.EntityContainer<>((E)this); // EntityContainer ist notwendig, da sonst von Hibernate die Entität wieder durch ihren Proxy ersetzt wird...
            }

  public boolean isPersistent() {
    return getId() != null;
  }


   private static final String BASE_CLASS_NAME = "LoeschProtokoll";
   @Override
   public String getBaseClassName() {
     return BASE_CLASS_NAME;
   }


    @Override
    public boolean equals(Object obj) {
    if (obj == null) {
    return false;
    }

    if (this==obj) {
    return true;
    }


    if (id != null) {
      try {
        return id.longValue() == ((de.ivu.elect.jee.entity.Entity) obj).getId().longValue() && BASE_CLASS_NAME.equals(((de.ivu.elect.jee.entity.Entity) obj).getBaseClassName());
      } catch (Exception ignored) {
        // do nothing
        return false;
      }
    }
   return super.equals(obj);
    }

    @Override
    public int hashCode() {

      if (id==null){
        return super.hashCode();
      }
      return id.hashCode();
    }


                            @javax.persistence.Transient
                private transient java.util.Set
            <String> dirtyProperties = null;

                protected void markDirty(String property) {
            
          }

          public java.util.Set
      <String> getDirtyProperties() {
          if (dirtyProperties==null){
          dirtyProperties = new java.util.HashSet<>();
          }
          return dirtyProperties;
          }

          public void clearDirtyProperties(){
          dirtyProperties = null;
          }
          public boolean isHibernateDirty() {
            return dirtyProperties!=null;
          }

      
                public void resetValidation() {
        
    validationResult = null;
        }

        @javax.persistence.Transient
        private transient java.util.Set<de.ivu.elect.jee.entity.EntityConstraintViolation> validationResult;

                    public java.util.Set<de.ivu.elect.jee.entity.EntityConstraintViolation> validateEntity() {
            if (validationResult==null) {
               validationResult  = new java.util.HashSet<>();
                                                                   de.ivu.elect.jee.entity.EntityConstraintCheck.checkNotNull(benutzerkennung, this, LoeschProtokollConstants.MESSAGE_KEY_BENUTZERKENNUNG_EINZAHL, validationResult);
                                                                          de.ivu.elect.jee.entity.EntityConstraintCheck.checkStringLength(LoeschProtokollConstants.BENUTZERKENNUNG_MAX_LENGTH , 1 ,  benutzerkennung, this, LoeschProtokollConstants.MESSAGE_KEY_BENUTZERKENNUNG_EINZAHL, validationResult);
                                                           de.ivu.elect.jee.entity.EntityConstraintCheck.checkNotNull(entitaet, this, LoeschProtokollConstants.MESSAGE_KEY_ENTITAET_EINZAHL, validationResult);
                                                                          de.ivu.elect.jee.entity.EntityConstraintCheck.checkStringLength(LoeschProtokollConstants.ENTITAET_MAX_LENGTH , 1 ,  entitaet, this, LoeschProtokollConstants.MESSAGE_KEY_ENTITAET_EINZAHL, validationResult);
                                                           de.ivu.elect.jee.entity.EntityConstraintCheck.checkNotNull(messageKey, this, LoeschProtokollConstants.MESSAGE_KEY_MESSAGE_KEY_EINZAHL, validationResult);
                                                                          de.ivu.elect.jee.entity.EntityConstraintCheck.checkStringLength(LoeschProtokollConstants.MESSAGE_KEY_MAX_LENGTH , 1 ,  messageKey, this, LoeschProtokollConstants.MESSAGE_KEY_MESSAGE_KEY_EINZAHL, validationResult);
                                                                                                   de.ivu.elect.jee.entity.EntityConstraintCheck.checkStringLength(LoeschProtokollConstants.MESSAGE_PARAMS_MAX_LENGTH ,  messageParams, this, LoeschProtokollConstants.MESSAGE_KEY_MESSAGE_PARAMS_EINZAHL, validationResult);
                                                           de.ivu.elect.jee.entity.EntityConstraintCheck.checkNotNull(primaerschluessel, this, LoeschProtokollConstants.MESSAGE_KEY_PRIMAERSCHLUESSEL_EINZAHL, validationResult);
                                                                          de.ivu.elect.jee.entity.EntityConstraintCheck.checkValueRange(LoeschProtokollConstants.PRIMAERSCHLUESSEL_MAX_VALUE, LoeschProtokollConstants.PRIMAERSCHLUESSEL_MIN_VALUE, primaerschluessel, this, LoeschProtokollConstants.MESSAGE_KEY_PRIMAERSCHLUESSEL_EINZAHL, validationResult);
                                                           de.ivu.elect.jee.entity.EntityConstraintCheck.checkNotNull(zeitpunkt, this, LoeschProtokollConstants.MESSAGE_KEY_ZEITPUNKT_EINZAHL, validationResult);
                                                                    }
             return validationResult;
        }

            
        @javax.persistence.Transient
        private transient java.util.Map<String, Object> transientContext;

        public java.util.Map<String, Object> getTransientContext() {
          if (transientContext == null) {
             transientContext = new java.util.HashMap<>();
          }
        return transientContext;

        }

              }
